Package com.orbbec.obsensor.datatype

## Class CameraDistortion

- java.lang.Object
- - com.orbbec.obsensor.DataType
  - - com.orbbec.obsensor.datatype.CameraDistortion

    public class CameraDistortion
    extends DataType

Distortion Parameters

### Constructor Summary

Constructors
`CameraDistortion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `BYTES()` Get the number of bytes occupied by the Native structure
`float` `getK1()` Get Radial Distortion Factor 1
`float` `getK2()` Get Radial Distortion Factor 2
`float` `getK3()` Get Radial Distortion Factor 3
`float` `getK4()` Get Radial Distortion Factor 4
`float` `getK5()` Get Radial Distortion Factor 5
`float` `getK6()` Get Radial Distortion Factor 6
`float` `getP1()` Get the tangential distortion factor 1
`float` `getP2()` Get the tangential distortion factor 2
`protected boolean` `parseBytesImpl​(byte[] bytes)` Specific class implementation parsing, pay attention to the internal order and length of the structure
`java.lang.String` `toString()`
`protected boolean` `wrapBytesImpl​(byte[] bytes)` Specific class attribute encapsulation, pay attention to the internal order and length of the structure

### Methods inherited from class com.orbbec.obsensor.DataType

`checkInitialized, getBytes, parseBytes, throwInitializeException, wrapBytes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CameraDistortion

    public CameraDistortion()

### Method Detail

#### getK1

    public float getK1()

Get Radial Distortion Factor 1

Returns:
  Radial distortion factor 1

#### getK2

    public float getK2()

Get Radial Distortion Factor 2

Returns:
  Radial distortion factor 2

#### getK3

    public float getK3()

Get Radial Distortion Factor 3

Returns:
  Radial distortion factor 3

#### getK4

    public float getK4()

Get Radial Distortion Factor 4

Returns:
  Radial distortion factor 4

#### getK5

    public float getK5()

Get Radial Distortion Factor 5

Returns:
  Radial distortion factor 5

#### getK6

    public float getK6()

Get Radial Distortion Factor 6

Returns:
  Radial distortion factor 6

#### getP1

    public float getP1()

Get the tangential distortion factor 1

Returns:
  Tangential distortion factor 1

#### getP2

    public float getP2()

Get the tangential distortion factor 2

Returns:
  Tangential distortion factor 2

#### BYTES

    public int BYTES()

Description copied from class: `DataType`
Get the number of bytes occupied by the Native structure

Specified by:
  `BYTES` in class `DataType`
Returns:
  The number of bytes occupied by the Native structure

#### parseBytesImpl

    protected boolean parseBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class implementation parsing, pay attention to the internal order and length of the structure

Specified by:
  `parseBytesImpl` in class `DataType`
Parameters:
  `bytes` - byte array to be parsed
Returns:
  Parsing result, false: parsing failed, true: parsing succeeded

#### wrapBytesImpl

    protected boolean wrapBytesImpl​(byte[] bytes)

Description copied from class: `DataType`
Specific class attribute encapsulation, pay attention to the internal order and length of the structure

Specified by:
  `wrapBytesImpl` in class `DataType`
Parameters:
  `bytes` - The generated byte array to be encapsulated
Returns:
  Encapsulation result, false: Encapsulation failed, true: Encapsulation succeeded

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`